PrimitiveEntry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.PrimitiveEntry,PrimitiveEntry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class PrimitiveEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.PrimitiveEntry

Direct Known Subclasses:
  BinaryDataEntry, CertificateEntry, CertPathEntry, PrivateKeyEntry, PublicKeyEntry

public abstract class PrimitiveEntry
extends Entry

A primitive entry is an entry that contains a single cryptographic entity.

Field Summary
`protected java.util.Date` | `creationDate` The creation date.

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`protected` | `PrimitiveEntry()`
`protected` | `PrimitiveEntry(int type, java.util.Date creationDate, Properties properties)`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getAlias()` Returns the alias of this primitive entry.
`java.util.Date` | `getCreationDate()` Returns the creation date of this primitive entry.
`protected void` | `makeCreationDate()`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, encodePayload, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creationDate

    protected java.util.Date creationDate

  The creation date.

Constructor Detail

### PrimitiveEntry

    protected PrimitiveEntry(int type,
                             java.util.Date creationDate,
                             Properties properties)

### PrimitiveEntry

    protected PrimitiveEntry()

Method Detail

### getAlias

    public java.lang.String getAlias()

  Returns the alias of this primitive entry.

  Returns:
    The alias.

### getCreationDate

    public java.util.Date getCreationDate()

  Returns the creation date of this primitive entry.

  Returns:
    The creation date.

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### makeCreationDate

    protected final void makeCreationDate()
                                   throws MalformedKeyringException

    `MalformedKeyringException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.